Bug 1021 - strange rpm -bE behavior
: strange rpm -bE behavior
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-06-20 22:04 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-06-20 22:04:35
$ rpm -bE some.spec &> /dev/null || echo oops
$ rpm -bE --define \'foo bar\' some.spec &> /dev/null || echo oops
oops
$
---

---
Отрабатывает нормально, но возвращает ненулевое rc, что затрудняет использование в скриптах.Проявляется по крайней мере на версиях 4.0.4-alt0.5 - alt0.7; код ошибки разный, какой-то системы уловить не удалось, причем rpm и rpmbuild дают разные rc.
------- Comment #1 From 2003-04-22 17:04:54 -------
Fixed in 4.0.4-alt15
------- Comment #2 From 2003-04-22 17:04:54 -------
Fixed in 4.0.4-alt15